[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [AUCTeX] Emacs23 won't load tex-site.el

From: Haines Brown
Subject: Re: [AUCTeX] Emacs23 won't load tex-site.el
Date: Thu, 27 Dec 2007 12:19:15 -0500

> * Haines Brown (2007-12-27) writes:
> > I replaced emacs21 with emacs23 under debian etch. One result is
> > that this line in ~/.emacs now causes an error:
> >
> >   (require 'tex-site)
> This way of loading AUCTeX is outdated with respect to recent AUCTeX
> versions.

I'm running auctex 11.83-6, which is the sable version under debian
etch. I suppose you mean that emacs23 needs a newer version than that.   

> How did you install AUCTeX?

Some time ago, but I presume I just installed a stable deb package
under debian etch.

> > Is this file supplied by the debian auctex package?
> No.

Do you mean that it is no longer supplied by the recent versions of
AUCTeX? It was apparently supplied by by 11.83-6 version.

> > So would a simple
> > auctex uninstall-reinstall be likely to fix the problem? 
> No.

So what do you suggest? Compiling auctex from source? What is the
minimum version required by emacs23?

Someone said they got things working under emacs23 simply by
commenting the .emacs line: (require 'tex-site), for I assume that the
call to tex.el somehow loads AUCTeX. In any case, with that line
commented, I could load a .tex file in emacs LaTeX mode, and with it
loaded a C-c C-c command in emacs brings up in the minibuffer:  

      Command [pdflatex]:

When I issue this default command, it prompts for saving, and a second
time it generates .aux and .log files, but no .dvi file. The log
file didn't have anything that was meaningful for me. 

       Haines Brown, KB1GRM


reply via email to

[Prev in Thread] Current Thread [Next in Thread]